Get the most recent TLS check result.
GET
/tls/job/{tls_job_id}/recent
const url = 'https://api.siteqwality.com/tls/job/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/recent';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/tls/job/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/recent \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” tls_job_id
required
string format: uuid
TLS monitor identifier
Responses
Section titled “ Responses ”Latest TLS check result
Media type application/json
object
id
required
string format: uuid
account_id
required
string format: uuid
tls_job_id
required
string format: uuid
created_at
required
string format: date-time
tls_version
string | null
request_duration_ms
integer | null format: int32
status
required
string
failure_reason
string | null
issuer
string | null
subject
string | null
serial_number
string | null
not_before
string | null format: date-time
not_after
string | null format: date-time
signature_algorithm
string | null
key_algorithm
string | null
key_bits
integer | null format: int32
san_dns_names
array | null
cipher_suite
None means our rustls probe could not complete, i.e. the endpoint
offers only ciphers modern clients have dropped. The check itself runs
on native-tls and still succeeds.
string | null
chain_length
integer | null format: int32
hostname_matches
boolean | null
self_signed
boolean | null
chain_trusted
boolean | null
Example
{ "status": "good"}Missing or invalid authentication
No TLS results found
Internal server error